Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.metadata
Class ObjectMetaData

    java.lang.Object
      com.sun.mdm.index.objects.metadata.ObjectMetaData

public class ObjectMetaData
extends java.lang.Object

Object MetaData structure

Constructor Summary
`ObjectMetaData(java.util.ArrayList fks, java.util.ArrayList pks, java.util.ArrayList pts, java.util.ArrayList cts, java.util.ArrayList flds, java.util.ArrayList oks, java.lang.String name)` Creates a new instance of ObjectMetaData by foreign keys, primary keys, parent tables, child tables, fields, and tag

Method Summary
`java.lang.String[]` | `getCOs()` gets child objects
`(package private) int` | `getCOSize()` gets child object counts
`java.lang.String[]` | `getFields()` gets object fields
`(package private) int` | `getFieldSize()` gets object field counts
`java.lang.String[]` | `getFKs()` gets foreign keys
`(package private) int` | `getFKSize()` gets foreign key counts
`(package private) java.lang.String` | `getName()` gets object name
`java.lang.String[]` | `getOKs()` gets object keys
`(package private) int` | `getOKSize()` gets object key counts
`java.lang.String[]` | `getPKs()` gets primary keys
`(package private) int` | `getPKSize()` gets primary key counts
`java.lang.String[]` | `getPOs()` gets parent objects
`(package private) int` | `getPOSize()` gets parent object counts
`java.lang.String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectMetaData

    public ObjectMetaData(java.util.ArrayList fks,
                          java.util.ArrayList pks,
                          java.util.ArrayList pts,
                          java.util.ArrayList cts,
                          java.util.ArrayList flds,
                          java.util.ArrayList oks,
                          java.lang.String name)

  Creates a new instance of ObjectMetaData by foreign keys, primary keys, parent tables, child tables, fields, and tag

  Parameters:
    `fks` - list of foreign keys
    `pks` - list of primary keys
    `pts` - list of parent objects
    `cts` - list of child objects
    `oks` - list of object keys
    `flds` - list of field names
    `name` - object tag

Method Detail

### getCOs

    public java.lang.String[] getCOs()

  gets child objects

  Returns:
    String[] child objects

### getCOSize

    int getCOSize()

  gets child object counts

  Returns:
    int child object counts

### getFields

    public java.lang.String[] getFields()

  gets object fields

  Returns:
    String[] field names

### getFieldSize

    int getFieldSize()

  gets object field counts

  Returns:
    int field count

### getFKs

    public java.lang.String[] getFKs()

  gets foreign keys

  Returns:
    String[] foreign keys

### getFKSize

    int getFKSize()

  gets foreign key counts

  Returns:
    int foreign key number

### getName

    java.lang.String getName()

  gets object name

  Returns:
    String object name

### getOKs

    public java.lang.String[] getOKs()

  gets object keys

  Returns:
    String[] object keys

### getOKSize

    int getOKSize()

  gets object key counts

  Returns:
    int object key counts

### getPKs

    public java.lang.String[] getPKs()

  gets primary keys

### getPKSize

    int getPKSize()

  gets primary key counts

  Returns:
    int primary key number

### getPOs

    public java.lang.String[] getPOs()

  gets parent objects

  Returns:
    String[] parent objects

### getPOSize

    int getPOSize()

  gets parent object counts

  Returns:
    int parent object counts

### toString

    public java.lang.String toString()

  toString

  Returns:
    String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.